<div class="modal-overlay" (click)="close()">
    <ng-container *ngIf="imgDetails !== undefined">
    <div class="modal">
        <div class="modal-content">
            <ng-container *ngIf="!isLoaded">
                <div class="loader"></div>
            </ng-container>
            <ng-container *ngIf="isLoaded">
            <div class="modal-body">
                <div id="modal_img" class="img" [ngStyle]="{'background-image' : 'url('+ imgDetails.download_url +')'}"></div>
                <h4>Author : {{imgDetails.author}}</h4>
                <h4>Id : {{imgDetails.id}}</h4>
                <h4>Height : {{imgDetails.height}}</h4>
                <h4>Width : {{imgDetails.width}}</h4>
                <h4>View Url : {{imgDetails.url}}</h4>
                <h4>Download Url : {{imgDetails.download_url}}</h4>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn" (click)="close()">Go Back</button>
            </div>
            </ng-container>
        </div>
    </div>
    </ng-container>
</div>